Skip to main content
POST
/
wokus
/
create-voicemail
Create a Voicemail
curl --request POST \
  --url https://clientapi.woku.app/wokus/create-voicemail \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form wokuId=65348875f3a876254aa82d5e \
  --form qualification=5 \
  --form [email protected] \
  --form clientPhone=56982959776 \
  --form anonymous=false
{
  "qualification": {
    "_id": "Qualification ID",
    "qualification": 4
  },
  "wokuId": "65348875f3a876254aa82d5e",
  "anonymous": false,
  "transcription": "hola todo está súper bien me gustó todo",
  "feedbackType": "recognition",
  "file": {
    "filename": "audio-review-6596d27998ebf3609b208f4b",
    "type": "audio",
    "url": "https://wokudevfiles.blob.core.windows.net/wokus/28a591ae-0d65-40bb-8e4d-687c9bb75397blob"
  },
  "clientId": "653c78b70c83744b1340a551"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data

Data to create a Voicemail.

file
file

Audio file.

wokuId
string

This field is the ID of a woku in string format.

Example:

"65348875f3a876254aa82d5e"

qualification
string

This field is a string that represents an integer between 1 and 5.

Example:

"5"

clientEmail
string

This field is the email of the client providing the feedback. This field is optional. If this field is not filled out, the anonymous field must be marked as true.

clientPhone
string

This field is the phone number of the client providing the feedback. This field is optional.

Example:

"56982959776"

anonymous
string

This field is a string that represents a boolean, so the only options are true or false. This field is optional. When this field is a true, sends anonymous feedback. When this field is omitted or marked false, the client email must be provided in the clientEmail field.

Example:

"false"

Response

201 - application/json

Voicemail created successfully.

qualification
object
required

Voicemail Qualification

Example:
{
"_id": "Qualification ID",
"qualification": 4
}
wokuId
string
required

Woku ID

Example:

"65348875f3a876254aa82d5e"

anonymous
boolean
required

Anonymous state

Example:

false

transcription
string
required

Audio transcription

Example:

"hola todo está súper bien me gustó todo"

feedbackType
string
required

Feedaback type

Example:

"recognition"

file
object
required

Audio file data

Example:
{
"filename": "audio-review-6596d27998ebf3609b208f4b",
"type": "audio",
"url": "https://wokudevfiles.blob.core.windows.net/wokus/28a591ae-0d65-40bb-8e4d-687c9bb75397blob"
}
clientId
string
required

Client ID

Example:

"653c78b70c83744b1340a551"